FreeMat

- Main Page
- Related Pages

vtkImageLogarithmicScale

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageLogarithmicScale passes each pixel through the function c*log(1+x). It also handles negative values with the function -c*log(1-x).

To create an instance of class vtkImageLogarithmicScale, simply invoke its constructor as follows

      obj = vtkImageLogarithmicScale

# Methods

The class vtkImageLogarithmicScale has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageLogarithmicScale class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageLogarithmicScale = obj.NewInstance ()`
- `vtkImageLogarithmicScale = obj.SafeDownCast (vtkObject o)`
- `obj.SetConstant (double )` - Set/Get the scale factor for the logarithmic function.
- `double = obj.GetConstant ()` - Set/Get the scale factor for the logarithmic function.